Subject: Re: powerpc/iommu: Support "hybrid" iommu/direct DMA ops for coherent_mask < dma_mask

From: Brian King <[email-masked]>
Date: Mon, 29 Jun 2015 14:38:15 -0500

On 06/19/2015 06:01 PM, Benjamin Herrenschmidt wrote:
> On Fri, 2015-06-19 at 16:19 -0500, Brian King wrote:
>> On 05/18/2015 01:40 AM, Michael Ellerman wrote:
>>> On Mon, 2015-18-05 at 03:56:51 UTC, Benjamin Herrenschmidt wrote:
>>>> This patch adds the ability to the DMA direct ops to fallback to the IOMMU
>>>> ops for coherent alloc/free if the coherent mask of the device isn't
>>>> suitable for accessing the direct DMA space and the device also happens
>>>> to have an active IOMMU table.
>>>
>>> Can you do the removal of the union, the #ifdef PPC64 and the static inlines as
>>> a precursor patch, that would remove some of the noise in the diff.
>>>
>>> And can you explain the changes to dart, pseries and powernv.
>>>
>>> There's also some whitespace changes in iommu.h that I assume you didn't want?
>>
>> Hi Ben,
>>
>> Do you plan to resubmit with these changes? The patch seems to work fine in
>> my testing. Would be nice to get this merged.
> 
> Argh, completely forgot about it. I'll respin it next week.

Anything I can do to help on this one?

Thanks,

Brian

-- 
Brian King
Power Linux I/O
IBM Linux Technology Center